use crate::{config::Config, log_context};
use anyhow::Result;

pub fn handle(config: &Config) -> Result<()> {
    let rpc = config.rpc_client();
    let solana_version = rpc.get_version()?;

    log_context!(
      riptide => env!("CARGO_PKG_VERSION"),
      solana => solana_version.solana_core,
    );

    Ok(())
}
